<template>
  <a-form-model :model="form"  class="yo-form" ref="form">
      <a-form-model-item label="具体消息" prop="message">
         <a-textarea :rows="4" v-model="form.message" />
      </a-form-model-item>
  </a-form-model>
</template>
<script>
export default {
  data() {
    return {
      form: {
        active: 'N',
      },
    };
  },
  methods: {
    /**
     * 必要的方法
     * 在打开编辑页时允许填充数据
     */
    onFillData(record) {
      this.form = this.$_.cloneDeep(record);
    },

    /**
     * 必要的方法
     * 在外部窗口进行保存时调用表单验证
     */
    onValidate(callback) {
      this.$refs.form.validate(callback);
    },

    /**
     * 必要的方法
     * 在外部窗口关闭或重置时对表单验证进行初始化
     */
    onResetFields() {
      setTimeout(() => {
        this.form = {};
        this.$refs.form.resetFields();
      }, 300);
    },
  },
};
</script>